[EP-tech] Debian9 full-upgrade to Debian10 likes to remove eprints

David R Newman drn at ecs.soton.ac.uk
Mon Dec 7 17:30:59 GMT 2020


Hi Thomas,

I am still confused how you got round the problem of EPrints being 
uninstalled because of the shift from MySQL and MariaDB between Debian 9 
and 10.  Maybe, I should wait for your complete instructions when you 
have got everything working as you want. You could have probably allowed 
EPrints to have been uninstalled and then re-installed again after the 
Debian 9 - 10 upgrade has completed.  I think such a removal as part of 
an OS upgrade should not remove anything that could not be replaced by 
re-installing post upgrade.  Assuming you have not changed an core code 
files.

I generally try to avoid installing EPrints from package managers.  
EPrints is both complex and has a large number of dependencies and is 
also liable to be hacked around with in ways that do not always play 
nicely with package managed upgrades. Also running an EPrints package 
upgrade is not something that should be done lightly.  To the extent 
that I would advise you "apt hold" so the package only get upgrade when 
explicitly requested rather than part of a general upgrade of packages.  
I remember when a colleague of mine tried to get EPrints added to the 
main Debian distribution and the long list dependencies (if you include 
implicit (i.e. dependencies of dependencies), dependencies and large 
number of files within the package was one of the reasons it was not 
accepted.

Regarding MariaDB vs MySQL argument.  I generally install EPrints or 
RHEL-based Linux operating systems which has been using MariaDB for a 
while.  Apart from one issue we had with MariaDB, which presented as 
sorting issues in lists of EPrints [1], I don't have anything negative 
to say about MariaDB.  I think [1] is only an issue in pre-10.x versions 
of MariaDB but I have not had a chance to thoroughly test this.  (Also, 
recent EPrints have a generic fix for this that applies whatever MySQL 
or MariaDB version is installed).  My colleague who is more of an expert 
on databases says there are a lot of improvements in the latest (10.x) 
versions of MariaDB that can help deal with issues that complex EPrints 
repositories can suffer with such as exceeding the row length for a 
table.  I also believe later versions of MariaDB 10.x Enterprise comes 
pre-compiled with a maximum of 128 indexes per table rather than 64, 
which has been another issue on a number of larger EPrints repositories 
of which I am aware.

Regards

David Newman

[1] https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmariadb.com%2Fkb%2Fen%2Fwhy-is-order-by-in-a-from-subquery-ignored%2F&data=04%7C01%7C%7C12702716211d4c8929dc08d89ad5dd1c%7C4a5378f929f44d3ebe89669d03ada9d8%7C0%7C0%7C637429590615214324%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=gnzzHkSCJcnZm52tZ5n5ftTRGyN7Wy%2Fp%2BfszW%2F8DImw%3D&reserved=0

On 07/12/2020 16:55, th.lauke at arcor.de wrote
> CAUTION: This e-mail originated outside the University of Southampton.
>
> Hi David,
>
>> It would be useful for clarity if you could detail the exact steps that you had to take ...
> yes, for sure, after passing the final goal ... and successful reproduction on our production server;
> fortunately `script` helps :)
>
>> to keeping/upgrading MySQL between Debian 9 and Debian 10.
> as indicated by EPrints status, mariaDB is still running ...
> EPrints Release:        3.4.2
> Database Driver:        EPrints::Database::mysql [DBI 1.642, DBD::mysql 4.050]
> Database Server Version:        MySQL 10.1.47-MariaDB-0+deb9u1
> XML Library:    XML::LibXML 2.0134 /usr/lib/x86_64-linux-gnu/perl5/5.28/XML/LibXML.pm
>
>> adding MySQL's own APT repository so that it continue to exist according to your operating system ...
> obviously mariaDB has to be deactivated in order to allow mysql the operation!
>
>> 1. Does cfg/cfg.d/10_core.pl exist for you archive and is $c->{host} set
>> to the hostname for you testing clone and the URL you are accessing
>> /cgi/users/login on in your web browser?
> yes
>
>> 2. Have you run "epadmin generate_apacheconf --system --replace" before
>> reloading Apache?
> no, but my correct updating was ignored (i.e. overridden by the 'commented' old line): as stated on https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fhttpd.apache.org%2Fdocs%2Fcurrent%2Fen%2Fconfiguring.html&data=04%7C01%7C%7C12702716211d4c8929dc08d89ad5dd1c%7C4a5378f929f44d3ebe89669d03ada9d8%7C0%7C0%7C637429590615214324%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=LyidYbUgmdd3z5pkd6msWyXiSNvx1WG7oPczVxBA6gg%3D&reserved=0
> the comment sign has to be the very first sign in the first column ...!
>
>> 3. Do you have HTTPS enabled on this test clone in 10_core.pl or another
>> file in your archive's cfg/cfg.d/ directory (e.g. https.pl).  If so what
>> is $c->{securehost} set to?
> fortunately the server is running behind the fire wall, so I don't have to care for this :)
>
> Finally again, I will be back when mysql is really engaged
> Thomas
>
> P.S.: What do you think about mariaDB?

-- 
This email has been checked for viruses by AVG.
https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.avg.com%2F&data=04%7C01%7C%7C12702716211d4c8929dc08d89ad5dd1c%7C4a5378f929f44d3ebe89669d03ada9d8%7C0%7C0%7C637429590615214324%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=WBRgCRrY4GDiCuESvwNEL7oldZtuBM%2BIr2qX5Idb4Gs%3D&reserved=0




More information about the Eprints-tech mailing list